/* Scrutari - Copyright (c) 2011-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import net.mapeadores.util.html.HA;
import net.scrutari.db.api.CodeMatch;


/**
 *
 * @author Vincent Calame
 */
public final class UriCodesPrint {

    private UriCodesPrint() {
    }

    public static void printUriCodes(AdminHtmlPage hp) {
        CodeMatch[] initialCodeMatchArray = hp.getEngine().getEngineStorage().getConfDirectory().getInitialCodeMatchArray(null);
        if (initialCodeMatchArray == null) {
            hp
                    .P()
                    .SPAN(HA.classes("scrutari-admin-Info"))
                    .localize("_ info.sctconf.none_uricodes")
                    ._SPAN()
                    ._P();
        } else {
            hp
                    .UL();
            for (CodeMatch codeMatch : initialCodeMatchArray) {
                hp
                        .LI()
                        .CODE()
                        .append(codeMatch.getCode())
                        .escape(" = ")
                        .escape(codeMatch.getScrutariDataURI().toString())
                        ._CODE()
                        ._LI();
            }
            hp
                    ._UL();
        }
    }

}
