/* ScrutariLib_SearchEngine - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.pertinence;

import net.mapeadores.util.text.SubstringPosition;


/**
 *
 * @author Vincent Calame
 */
public interface FichePertinence {

    public final static short OCCURRENCE_STATE = 1;
    public final static short NOPERTINENT_STATE = 0;
    public final static short NO_OCCURRENCE_STATE = -1;

    public int getCodefiche();

    public int getCodecorpus();

    public short getOperandState(int operandNumber);

    /**
     * Retourne -1 s'il n'y a pas d'alinéa
     */
    public int getAlineaInteger(int operandNumber);

    public SubstringPosition getSubstringPosition(int operandNumber);

    /**
     * Compris entre 0 et 1
     */
    public float getMotcleScore(int operandNumber);

    public int[] getAcceptCodemotcleArray();

}
